首页

通过webstorm安装jeecg提示无法将“pnpm”项识别为 cmdlet、函数、脚本文件或可运行程序的名称...错误

标签:pnpm安装     发布时间:2023-08-07   

一、异常描述

webstorm下载安装 “jeecg前端项目”时,通过 “pnpm  install”安装报“无法将“pnpm”项识别为 cmdlet、函数、脚本文件或可运行程序的名称。请检查名称的拼写,如果包括路径,请确保路径正确,然后重试。..所在位置 行:1 字符: 5..+ pnpm <<<<   install ”错误异常,详情日志

PS D:\demo\jeecg\jeecgboot-vue3-master> pnpm  install@b@无法将“pnpm”项识别为 cmdlet、函数、脚本文件或可运行程序的名称。请检查名称的拼写,如果包括路径,请确保路径正确,然后重试。@b@所在位置 行:1 字符: 5@b@+ pnpm <<<<   install@b@    + CategoryInfo          : ObjectNotFound: (pnpm:String) [], CommandNotFoundException@b@    + FullyQualifiedErrorId : CommandNotFoundException

二、解决方法

1)需通过npm  install  -g  pnpm 命令安装pnpm工具 

PS D:\demo\jeecg\jeecgboot-vue3-master> npm  install  -g  pnpm@b@C:\Users\Administrator\AppData\Roaming\npm\pnpx -> C:\Users\Administrator\AppData\Roaming\npm\node_modules\pnpm\bin\pnpx.cjs@b@C:\Users\Administrator\AppData\Roaming\npm\pnpm -> C:\Users\Administrator\AppData\Roaming\npm\node_modules\pnpm\bin\pnpm.cjs@b@+ pnpm@8.6.12@b@added 1 package in 4.774s

2)通过 pnpm  install安装依赖包

PS D:\demo\jeecg\jeecgboot-vue3-master> pnpm  install@b@ERROR: This version of pnpm requires at least Node.js v16.14@b@The current version of Node.js is v8.12.0@b@Visit https://r.pnpm.io/comp to see the list of past pnpm versions with respective Node.js version support.

 

  • ◆ 相关内容